# Writing Pages

Docus is made to let you write all your content in Markdown and Vue components with the MDC syntax.

Each Markdown page in the `content/` folder will be mapped to a route.

| File                     | Generated route       |
| ------------------------ | :-------------------- |
| `index.md`               | `/`                   |
| `about.md`               | `/about`              |
| `blog/index.md`          | `/blog`               |
| `blog/hello.md`          | `/blog/hello`         |
| `1.guide/2.installation` | `/guide/installation` |

## Frontmatter

Docus supports multiple Front-matter attributes for pages.

```md [index.md]
---
title: "Get Started"
description: "Let's learn how to use my amazing module."
---
```

| **Key**                 | **Type**  | **Default** | **Description**                                               |
| ----------------------- | --------- | ----------- | ------------------------------------------------------------- |
| `layout`                | `string`  | `default`   | Use any layout name like you would in `definePageMeta()`      |
| `title`                 | `string`  |             | Defines the page title and H1 in docs pages                   |
| `description`           | `string`  |             | Defines the page description and excerpt in docs pages        |
| `redirect`              | `string`  |             | A route path to redirect                                      |
| `image`                 | `object`  |             | OpenGraph cover image                                         |
| **Docs layout options** |           |             |                                                               |
| `aside`                 | `boolean` |             | Toggles the visibility of aside navigation                    |
| `toc`                   | `boolean` |             | Toggles the visibility of table of contents                   |
| `header`                | `boolean` |             | Toggles the visibility of the page header                     |
| `bottom`                | `boolean` |             | Toggles the visibility of page bottom section                 |
| **Navigation options**  |           |             |                                                               |
| `navigation`            | `boolean` |             | Toggles the visibility of the page or directory in navigation |
| `navigation.title`      | `string`  |             | Changes the name of the page or directory in navigation       |
| `navigation.icon`       | `string`  |             | Changes the icon of the page or directory in navigation       |
