# Layouts
Docus provides multiple built-in layouts for displaying your Markdown pages.

## `default`

The default layout for every page created in the project. This layout renders multiple section alongside the content:

- Aside navigation menu (togglable with `aside: false/true`)
- Page bottom section (togglable with `bottom: false/true`)
- Table of content (togglable with `toc: false/true`)

```md [index.md]
---
aside: true
bottom: true
toc: false
---

Your awesome content
```

Current page is live sample of default layout.

## `page`

`page` layout is content focused layout. This layout does not render aside menu of table of contents.


This layout accept some configuration from content front-matter.

- `fluid`: By setting `fluid: true` in content front-matter the content will be rendered in full width.
- `constrainedClass`: Using this option you can modify layout container look. Like constraining layout width of changing the background.
- `padded`: Setting `padded: true` in front-matter will add horizontal padding in the layout.

```md [index.md]
---
title: Home
layout: page
fluid: true
---
```

Check [Home page](/) as live sample of page layout
