// https://github.com/nuxt-themes/docus/blob/main/nuxt.schema.ts
export default defineAppConfig({
  css: ['~/assets/css/extra.css'],
  colorMode: { 
    preference: 'dark',
    fallback:'dark',
    },
  content: {
     highlight: {
      langs: [
        'console',
        'nginx',
      ]
    }
  },

   mdc: {
     highlight: {
       theme: 'github-dark',
       langs: ['ts','console','nginx'],
       wrapperStyle: true
    }
   },
  
  docus: {
    title: 'Docudjeex',
    description: 'La doc de mes expériences',
    image: 'https://user-images.githubusercontent.com/904724/185365452-87b7ca7b-6030-4813-a2db-5e65c785bf88.png',
    socials: {
      github:'',
      Gitea: {
        label: 'Gitea',
        icon: 'cib:gitea',
        href: 'https://git.djeex.fr/Djeex/docudjeex',
      },
      Discord: {
        label: 'Discord',
        icon: 'cbi:discord',
        href: 'https://discord.gg/jvhardware',
      },
    },
    github: {
      baseUrl:'https://git.djeex.fr',
      dir: 'content',
      branch: 'src/master',
      repo: 'docudjeex',
      owner: 'Djeex',
      edit: true
    },
    aside: {
      level: 0,
      collapsed: false,
      exclude: []
    },
    main: {
      padded: true,
      fluid: true
    },
    header: {
      logo: true,
      showLinkIcon: true,
      exclude: [],
      fluid: true
    },

    footer: {
      credits: {
        icon: 'IconDocus',
        text: 'Docudjeex',
        href: 'https://docu.djeex.fr',
        }
    }

  }
})
