---
navigation: true
title: Qbittorrent
main:
  fluid: false
---
:ellipsis{left=0px width=40rem top=10rem blur=140px}
# Qbittorrent

::alert{type="info"}
__Objectifs :__
- Installer et configurer Qbittorent
- Etre relié au réseau bittorent en toute sécurité avec Gluetun et Proton VPN
::

![Picture](https://github.com/VueTorrent/VueTorrent/blob/master/public/screenshots/screenshot-desktop-dark-mode.jpeg?raw=true)

Afin de téléchargez vos media favoris en toute sécurité, nous allons monter un système à base de :

- [Qbittorent](https://github.com/linuxserver/docker-qbittorrent) comme logiciel de téléchargement bittorent
- [Proton VPN Plus](https://protonvpn.com/torrenting), VPN pour sécuriser vos échanges, auquel vous devez souscrire (il y a de nombreux codes promo) pour accéder au protocole Bittorent, mais vous pouvez également en choisir un autre, à condition qu'il propose le protocole bittorent.
- [Gluetun](https://github.com/qdm12/gluetun)
- [Qbittorent port update](https://codeberg.org/TechnoSam/qbittorrent-gluetun-port-update) pour mettre automatiquement à jour le port de votre VPN (qui change régulièrement).
- Et le mode [vuetorrent](https://github.com/gabe565/linuxserver-mod-vuetorrent) pour une interface moderne et intuitive.

Nous monterons ici le système ci-dessous :

![Picture](/img/serveex/qbit.svg)

## Configuration
---
Structure des dossiers

```console
root
├── docker
│   └── seedbox
│       ├── qbittorent
│       │   └── config
│       ├── gluetun
│       ├── downloads #vos téléchargements génériques
│       ├── compose.yaml
│       └── .env
└── video #relié à plex
    ├── movies #à selectionner dans l'interface pour télécharger vos films
    └── tvseries #à selectionner dans l'interface pour télécharger vos séries
```
Ouvrez Dockge, cliquez sur `compose` et nommez la stack `seedbox`. Collez la config ci-dessous : 

```yaml
version: "2.1"
services:
  qbit:
    image: ghcr.io/linuxserver/qbittorrent:latest
    container_name: qbittorrent
    restart: unless-stopped
    network_mode: service:gluetun
    mem_limit: 1g
    environment:
      - TZ=Europe/Paris
      - PUID=${PUID}
      - PGID=${GUID}
      - WEBUI_PORT=${UI_PORT}
      - DOCKER_MODS=ghcr.io/gabe565/linuxserver-mod-vuetorrent
    volumes:
      - /docker/seedbox/qbittorrent/config:/config
      - /docker/seedbox/downloads:/downloads
      - /video/movies:/movies
      - /video/tvseries:/tvseries
    depends_on:
      - gluetun

  gluetun:
    image: qmcgaw/gluetun:v3.38
    container_name: gluetun
    restart: unless-stopped
    mem_limit: 1g
    volumes:
      - /docker/seedbox/gluetun:/gluetun
    ports:
      - ${UI_PORT}:5695 # Port de la web-ui
      - 8000:8000 # Port de controle de Gluetun
    cap_add:
      - NET_ADMIN
    environment:
      - TZ=Europe/Paris
      - VPN_SERVICE_PROVIDER=custom
      - VPN_TYPE=wireguard
      - VPN_ENDPOINT_IP=${IP}
      - VPN_ENDPOINT_PORT=${PORT}
      - WIREGUARD_PUBLIC_KEY=${PU_KEY}
      - WIREGUARD_PRIVATE_KEY=${PR_KEY}
      - WIREGUARD_ADDRESSES=${IP_MASK}
      - VPN_PORT_FORWARDING=on
      - VPN_PORT_FORWARDING_PROVIDER=protonvpn
      - UPDATER_PERIOD=6h
      - BLOCK_MALICIOUS=off
      - BLOCK_SURVEILLANCE=off
      - BLOCK_ADS=off
      - DOT=off
      - HEALTH_VPN_DURATION_INITIAL=20s
      - HEALTH_VPN_DURATION_ADDITION=15s
      - HEALTH_SUCCESS_WAIT_DURATION=10s

  qbittorrent-port-update:
    image: technosam/qbittorrent-gluetun-port-update:latest
    container_name: qbittorrent_port_update
    network_mode: service:gluetun
    environment:
      - QBITTORRENT_WEBUI_PORT=${UI_PORT}
      - QBITTORRENT_WEBUI_USERNAME=${ID}
      - QBITTORRENT_WEBUI_PASSWORD=${PW}
    restart: unless-stopped
    depends_on:
      - gluetun
```


::alert{type="success"}
:::list{type="success"}
- __Astuce :__ ajoutez le label de watchtower dans chaque conteneur afin d'automatiser les mises à jour
:::
    ```yaml
    services:
      qbittorent:
        #...
        labels:
          - com.centurylinklabs.watchtower.enable=true
      gluetun:
        #...
        labels:
          - com.centurylinklabs.watchtower.enable=true
      qbittorrent-port-update:
        #...
        labels:
          - com.centurylinklabs.watchtower.enable=true
::

Et renseignez dans `.env`:

```properties
PUID=
GUID=
IP=
PORT=
UI_PORT=
PU_KEY=
PR_KEY=
IP_MASK=
ID=
PW=
```

En détails :

| Variable                    | Valeur                                                                                                                                            | Exemples                     |
|-----------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------|
| `PUID`{lang=properties}      | A renseigner avec les infos de votre user (trouvables via la commande `id nomdutilisateur`{lang=shell})                                         | `1000`                         |
| `GUID`{lang=properties}   | A renseigner avec les infos de votre user (trouvables via la commande `id nomdutilisateur`{lang=shell})                                         | `1000`                         |
| `IP`{lang=properties}          | l'IP du endpoint de Proton, fournie par Proton. Les serveurs les plus performants étant en Suisse, je vous conseille d'en sélectionner un là bas. | `123.45.67.89`                 |
| `PORT`{lang=properties}        | Le port de Wireguard, ici `51820` pour Proton                                                                                                     | `51820`                        |
| `UI_PORT={lang=properties}     | Le port d'accès à la web ui, elle sera joignable via `http//ipduserveur:port`                                                                     | `5695`                         |
| `PU_KEY`{lang=properties}      | La clée publique fournie par Proton                                                                                                               | `aNhcz1l3JfWbFZo2XMpzQlP2iOqk` |
| `PR_KEY`{lang=properties}      | La clée privée fournie par Proton                                                                                                                 | `buKsjNHLyzKMM1qYnzOy4s7SHfly` |
| `IP_MASK`{lang=properties}     | L'IP fournie par Proton et son masque                                                                                                             | `10.2.0.2/32`                |
| `ID`{lang=properties}          | Nom d'utilisateur que vous devrez reporter ensuite dans l'interface de Qbittorent. Attention à bien renseigner la meme chose dans Qbittorent.    | `monuser`                      |
| `PW`{lang=properties}     | Mot de passe que vous devrez reporter ensuite dans l'interface de Qbittorent. Attention à bien renseigner la meme chose dans Qbittorent.         | `monmotdepasse`                |

## Déploiement
---
Une fois fait, déployez le conteneur.


::alert{type="warning"}
:::list{type="warning"}
- **Dans les logs de lancement, vous trouverez un mot de passe temporaire pour l'utilisateur `admin`**
:::
::

Loggez vous sur `http://ipduserveur:5695` (ou le port que vous avez configuré). 

::alert{type="danger"}
:::list{type="danger"}
- __En cas d'échec :__ vérifiez les règles de votre pare-feu.
:::
::

Changez votre nom d'utilisateur et votre mot de passe par ceux que vous avez configuré dans le `.env`

Relancez la stack afin de vous assurer que le conteneur qui met à jour le port s'est bien connecté avec vos identifiants

Et voilà ! Lorsque vous lancez un téléchargement, n'oubliez pas de préciser le bon répertoire de téléchargement afin que Plex puisse synchroniser correctement sa bibliothèque.

## Exposer la webui
---
Afin de lancer des téléchargement hors de chez vous, sans VPN, vous pouvez exposer la webui de Qbittorent. 

::alert{type="info"}
:::list{type="info"}
- Nous partons du principe que vous avez le sous-domaine `seedbox.mondomaine.fr` avec un `CNAME` qui pointe vers `mondomaine.fr` dans [zone DNS](/generalites/dns). Et que bien sûr, [à moins que vous utilisiez Cloudflare Zero Trust](/serveex/securite/cloudflare), le port `443` de votre box pointe bien sur le port `443` de votre serveur dans [les règles NAT](/generalites/nat).
:::
::

Pour cela, ajoutez le réseau de swag à gluetune via Dockge en ajoutant manuellement comme dans cet exemple :

```yaml
services:
  nomduservice:
     container_name: #...
      # ... 
     networks: # Relie le conteneur au réseau custom. A faire pour chaque conteneur à exposer de la stack 
      - swag # Nom du réseau déclaré dans la stack
    
networks: # Défini le réseau custom
  swag: # Nom du réseau déclaré dans la stack
    name: swag_default # Nom véritable du réseau externe
    external: true # Précise que c'est un réseau à rechercher en externe
```

::alert{type="info"}
:::list{type="info"}
- Ici nous partons du principe que le nom du réseau de Swag est `swag_default`.
:::
::


Puis nous allons créer et éditer le fichier `seedbox.subdomain.conf`.

::alert{type="success"}
:::list{type="success"}
- __Astuce :__ vous pouvez utiliser [File Browser](/serveex/apps/file-browser) pour naviguer dans vos fichier et éditer vos documents au lieu d'utiliser les commandes du terminal.
:::
::

```shell
sudo vi /docker/swag/config/nginx/proxy-confs/seedbox.subdomain.conf
```

Entrez en modification en appuyant sur `i` et copiez la configuration ci-dessous, en prenant soin de vérifier le port : 

```nginx
## Version 2023/12/19

server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;

    server_name seedbox.*;

    include /config/nginx/ssl.conf;

    client_max_body_size 0;

    #if ($lan-ip = yes) { set $geo-whitelist yes; }
    #if ($geo-whitelist = no) { return 404; }
    if ($geo-blacklist = no) { return 404; }

    # enable for ldap auth (requires ldap-location.conf in the location block)
    #include /config/nginx/ldap-server.conf;

    # enable for Authelia (requires authelia-location.conf in the location block)
    #include /config/nginx/authelia-server.conf;

    # enable for Authentik (requires authentik-location.conf in the location block)
    #include /config/nginx/authentik-server.conf;

    location / {
        # enable the next two lines for http auth
        #auth_basic "Restricted";
        #auth_basic_user_file /config/nginx/.htpasswd;

        # enable for ldap auth (requires ldap-server.conf in the server block)
        #include /config/nginx/ldap-location.conf;

        # enable for Authelia (requires authelia-server.conf in the server block)
        #include /config/nginx/authelia-location.conf;

        # enable for Authentik (requires authentik-server.conf in the server block)
        #include /config/nginx/authentik-location.conf;

        include /config/nginx/proxy.conf;
        include /config/nginx/resolver.conf;
        set $upstream_app gluetun;
        set $upstream_port 5555;
        set $upstream_proto http;
        proxy_pass $upstream_proto://$upstream_app:$upstream_port;

    }
}
```
::alert{type="success"}
:::list{type="success"}
- Vous pouvez protéger cette app avec Authentik en retirant les `#` devant `include /config/nginx/authentik-server.conf;`{lang=nginx} et `include /config/nginx/authentik-location.conf;`{lang=nginx}. N'oubliez pas de [créer une application et un fournisseur dans Authentik](/serveex/securite/authentik#protéger-une-app-par-reverse-proxy).
:::
::

Appuyez sur `Echap` puis sauvegardez et quittez en tapant `:x`.

Patientez quelques minutes puis tapez dans votre navigateur `https://seedbox.mondomaine.fr`, vous arriverez sur l'interface de Qbittorent.

Et voilà, vous avez un mediacenter pret à l'emploi !

![Picture](/img/serveex/seed.svg)
